
Showroom Mobile Banking - Support #13662

[Support] - To create several Credit and Debit entries for the transaction history for the included user

IDs

11 May 2022 02:04 PM - See Liang Lim

Status: Resolved Start date: 11 May 2022

Priority: Normal Due date:  

Assignee: See Liang Lim % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Phase: Future Branch Code: showroom-proj-base-i5

Description

1) To create multiple random Credit and Debit entries for the "mobility003" and "testdeposit6"

2) The accounts above have records inside the Account link.

3) Click on the Account Link

4) Click on the Saving Account

5) The displayed transaction history now either does not have any credit /debit entries OR all the entries are in the Credit column only

Expected results

1) Create random REALISTIC Credit and Debit entries , credit 200.00. Debit 156.65 for groceries, , etc, etc,

2) Entries should look realistic, eg, Not all are Credit entries then suddenly all are Debit entries. Entries should be mixed.

History

#1 - 12 May 2022 10:44 AM - David Wong

- Status changed from New to Assigned

- Assignee changed from David Wong to santhosh Krishna

#2 - 12 May 2022 11:49 AM - santhosh Krishna

- Status changed from Assigned to In Progress

#3 - 12 May 2022 03:34 PM - santhosh Krishna

- Status changed from In Progress to Resolved

- Assignee changed from santhosh Krishna to See Liang Lim

Revision: 217189

Author: santhosh1999

Date: Thursday, May 12, 2022 3:27:57 PM

Message:

solved - Support #13662

----

Modified : /Showroom/02_BaseProjects/BASE100/trunk/mleb_showroom/cc_mib_ws/lib/ccws-test-1.0.jar

Modified :

/Showroom/02_BaseProjects/BASE100/trunk/mleb_showroom/cc_mib_ws/src/main/java/com/silverlake/ifb/ribms/module/PerformASSavingTranHist.j

ava

Modified : /Showroom/02_BaseProjects/BASE100/trunk/mleb_showroom/cc_mib_ws/src/test/java/com/silverlake/ifb/ribms/UnitTestConstants.java

Modified :

/Showroom/02_BaseProjects/BASE100/trunk/mleb_showroom/cc_mib_ws/src/test/java/com/silverlake/ifb/ribms/test/fixdeposit/TestPerformASFixedD

epositDetail.java

Modified : /Showroom/02_BaseProjects/BASE100/trunk/mleb_showroom/cc_mib_ws/src/test/java/com/silverlake/ifb/ribms/test/login/TestLogin.java

Modified :

/Showroom/02_BaseProjects/BASE100/trunk/mleb_showroom/mleb_hlb_mib/src/main/java/com/silverlake/hlb/mib/module/func/PerformASSavingTra

nHist.java

Modified :

/Showroom/02_BaseProjects/BASE100/trunk/mleb_showroom/mleb_hlb_mib/src/main/java/com/silverlake/hlb/mib/module/func/hostv12/BankService.

java

Modified :

/Showroom/02_BaseProjects/BASE100/trunk/mleb_showroom/mleb_hlb_mib/src/main/java/com/silverlake/hlb/mib/module/func/ib/AccountHistoryServ

ice.java

Modified : /Showroom/02_BaseProjects/BASE100/trunk/mleb_showroom/mleb_hlb_mib/src/main/java/com/silverlake/hlb/mib/util/HLBDateUtil.java
https://dev.silverlakemobility.com/redmine/issues/13662


Will be deploying soon.
